// pages/luckDraw/profile.js
import LuckDraw from '../../api/luck-draw'
import { parseTime } from '../../utils/util';
Page({

    /**
     * 页面的初始数据
     */
    data: {
        page: 1,
        pageSize: 10,
        lock: false,
        noResult: false,
        noMore: false,
        couponNum: 0,
        productNum: 0,
        goodsItemList: []

    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.getUserPrizeList();
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    getUserPrizeList: function() {
        LuckDraw.getUserPrizeList({
            page: this.data.page,
            pageSize: this.data.pageSize,
            mobile:'16602120168',
            goodsType: 1
        }).then(res => {
            if (res.code == 200) {
                this.uaerPrizeListView(res.data)
            }
            this.data.lock = false
        }).catch(_ => {
            this.data.lock = false
        })
    },

    uaerPrizeListView: function(data) {
        if (!Array.isArray(data.goodsItemList) || data.goodsItemList.length == 0) {
            console.log("没有获取到数据");
            if (this.data.couponNum == 1) {
                this.setData({
                    noResult: true
                })
            } else {
                this.setData({
                    noMore: true
                })
            }
            return
        }
        data.goodsItemList.forEach(v => {
            let beginTime = v.couponBeginTimestamp
            let endTime = v.couponEndTimestamp
            v.couponBeginTimestamp = parseTime(beginTime, "{y}.{m}.{d}")
            v.couponEndTimestamp = parseTime(endTime, "{y}.{m}.{d}")
            if(v.couponTitle.search("元") != -1){

            }
        })

        this.data.goodsItemList = this.data.goodsItemList.concat(...data.goodsItemList)
        this.setData({
            couponNum: data.couponNum,
            productNum: data.productNum,
            goodsItemList: this.data.goodsItemList
        })
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {
        if (this.data.lock || this.data.noMore) {
            return
        }
        this.data.lock = true
        this.data.page++
        this.getUserPrizeList()
    },

    toDetail(e) {
        const url = "detail?id=" + e.currentTarget.dataset.id
        wx.redirectTo({
            url
        })
    }
})